Discourage other labels from covering features in this layer is not applicable

2016-02-10 06:01 AM - Daria Svidzinska

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22262

Description

I have two layers - settlement point layer and polygon layer, which contains an object that I would like to use as an obstacle for the labels

of settlements. I'm applying the following steps:

1. Label settlements with Show labels for this layer option, as a result some labels cover polygon boundary

2. In the polygon layer Properties dialogue I select Labels > Discourage other labels from covering features in this layer, and click OK

3. Nothing changes, and when I check Properties > Labels of the polygon layer the option is set to the default No labels value.

The same steps work perfectly fine in 2.12.3

History

#1 - 2016-06-09 12:56 PM - Nyall Dawson

- Status changed from Open to Feedback

This should be fixed since 2.14. Can you confirm?

#2 - 2016-06-13 01:01 AM - Daria Svidzinska

- Status changed from Feedback to Closed

Thank you, Nyall. Everything is ok in QGIS 2.14. I've changed the status to closed.

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
